curl --request POST \
--url https://collectwiseapi.com/debtors \
--header 'Content-Type: application/json' \
--header 'collectwise_key: <api-key>' \
--data '
[
{
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"productOrService": "<string>",
"creditorName": "<string>",
"callbackNumber": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"agentName": "<string>",
"customization": "<string>"
}
]
'import requests
url = "https://collectwiseapi.com/debtors"
payload = [
{
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"productOrService": "<string>",
"creditorName": "<string>",
"callbackNumber": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"agentName": "<string>",
"customization": "<string>"
}
]
headers = {
"collectwise_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {collectwise_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
debtorName: '<string>',
totalUnpaidDebt: 123,
delinquencyDate: '2023-12-25',
phoneNumber: '<string>',
email: 'jsmith@example.com',
productOrService: '<string>',
creditorName: '<string>',
callbackNumber: '<string>',
creditorEmail: 'jsmith@example.com',
accountNumber: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>',
county: '<string>',
ssn: '<string>',
lastPayDate: '2023-12-25',
chargeOffDate: '2023-12-25',
interestDue: 123,
principalDue: 123,
otherFees: 123,
amountPaid: 123,
paymentLink: '<string>',
customWorkflowID: '<string>',
agentName: '<string>',
customization: '<string>'
}
])
};
fetch('https://collectwiseapi.com/debtors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://collectwiseapi.com/debtors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'debtorName' => '<string>',
'totalUnpaidDebt' => 123,
'delinquencyDate' => '2023-12-25',
'phoneNumber' => '<string>',
'email' => 'jsmith@example.com',
'productOrService' => '<string>',
'creditorName' => '<string>',
'callbackNumber' => '<string>',
'creditorEmail' => 'jsmith@example.com',
'accountNumber' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zipCode' => '<string>',
'county' => '<string>',
'ssn' => '<string>',
'lastPayDate' => '2023-12-25',
'chargeOffDate' => '2023-12-25',
'interestDue' => 123,
'principalDue' => 123,
'otherFees' => 123,
'amountPaid' => 123,
'paymentLink' => '<string>',
'customWorkflowID' => '<string>',
'agentName' => '<string>',
'customization' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"collectwise_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://collectwiseapi.com/debtors"
payload := strings.NewReader("[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("collectwise_key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://collectwiseapi.com/debtors")
.header("collectwise_key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://collectwiseapi.com/debtors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["collectwise_key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"createdDebtors": [
{
"debtorId": "<string>",
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"creditorName": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"callbackNumber": "<string>",
"productOrService": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"enrollment": {
"attempted": true,
"success": true,
"message": "<string>",
"workflowId": "<string>",
"agentName": "<string>"
},
"customization": "<string>"
}
],
"failedDebtors": [
{
"index": 123,
"error": {
"code": 400,
"message": "Invalid input: debtorName is required"
}
}
]
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"error": "Too many requests"
}Bulk Create Debtors
Creates multiple debtor records in bulk
curl --request POST \
--url https://collectwiseapi.com/debtors \
--header 'Content-Type: application/json' \
--header 'collectwise_key: <api-key>' \
--data '
[
{
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"productOrService": "<string>",
"creditorName": "<string>",
"callbackNumber": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"agentName": "<string>",
"customization": "<string>"
}
]
'import requests
url = "https://collectwiseapi.com/debtors"
payload = [
{
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"productOrService": "<string>",
"creditorName": "<string>",
"callbackNumber": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"agentName": "<string>",
"customization": "<string>"
}
]
headers = {
"collectwise_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {collectwise_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
debtorName: '<string>',
totalUnpaidDebt: 123,
delinquencyDate: '2023-12-25',
phoneNumber: '<string>',
email: 'jsmith@example.com',
productOrService: '<string>',
creditorName: '<string>',
callbackNumber: '<string>',
creditorEmail: 'jsmith@example.com',
accountNumber: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>',
county: '<string>',
ssn: '<string>',
lastPayDate: '2023-12-25',
chargeOffDate: '2023-12-25',
interestDue: 123,
principalDue: 123,
otherFees: 123,
amountPaid: 123,
paymentLink: '<string>',
customWorkflowID: '<string>',
agentName: '<string>',
customization: '<string>'
}
])
};
fetch('https://collectwiseapi.com/debtors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://collectwiseapi.com/debtors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'debtorName' => '<string>',
'totalUnpaidDebt' => 123,
'delinquencyDate' => '2023-12-25',
'phoneNumber' => '<string>',
'email' => 'jsmith@example.com',
'productOrService' => '<string>',
'creditorName' => '<string>',
'callbackNumber' => '<string>',
'creditorEmail' => 'jsmith@example.com',
'accountNumber' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zipCode' => '<string>',
'county' => '<string>',
'ssn' => '<string>',
'lastPayDate' => '2023-12-25',
'chargeOffDate' => '2023-12-25',
'interestDue' => 123,
'principalDue' => 123,
'otherFees' => 123,
'amountPaid' => 123,
'paymentLink' => '<string>',
'customWorkflowID' => '<string>',
'agentName' => '<string>',
'customization' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"collectwise_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://collectwiseapi.com/debtors"
payload := strings.NewReader("[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("collectwise_key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://collectwiseapi.com/debtors")
.header("collectwise_key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://collectwiseapi.com/debtors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["collectwise_key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"debtorName\": \"<string>\",\n \"totalUnpaidDebt\": 123,\n \"delinquencyDate\": \"2023-12-25\",\n \"phoneNumber\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"productOrService\": \"<string>\",\n \"creditorName\": \"<string>\",\n \"callbackNumber\": \"<string>\",\n \"creditorEmail\": \"jsmith@example.com\",\n \"accountNumber\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipCode\": \"<string>\",\n \"county\": \"<string>\",\n \"ssn\": \"<string>\",\n \"lastPayDate\": \"2023-12-25\",\n \"chargeOffDate\": \"2023-12-25\",\n \"interestDue\": 123,\n \"principalDue\": 123,\n \"otherFees\": 123,\n \"amountPaid\": 123,\n \"paymentLink\": \"<string>\",\n \"customWorkflowID\": \"<string>\",\n \"agentName\": \"<string>\",\n \"customization\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"createdDebtors": [
{
"debtorId": "<string>",
"debtorName": "<string>",
"totalUnpaidDebt": 123,
"delinquencyDate": "2023-12-25",
"creditorName": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"phoneNumber": "<string>",
"email": "jsmith@example.com",
"callbackNumber": "<string>",
"productOrService": "<string>",
"creditorEmail": "jsmith@example.com",
"accountNumber": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"county": "<string>",
"ssn": "<string>",
"lastPayDate": "2023-12-25",
"chargeOffDate": "2023-12-25",
"interestDue": 123,
"principalDue": 123,
"otherFees": 123,
"amountPaid": 123,
"paymentLink": "<string>",
"customWorkflowID": "<string>",
"enrollment": {
"attempted": true,
"success": true,
"message": "<string>",
"workflowId": "<string>",
"agentName": "<string>"
},
"customization": "<string>"
}
],
"failedDebtors": [
{
"index": 123,
"error": {
"code": 400,
"message": "Invalid input: debtorName is required"
}
}
]
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"error": "Too many requests"
}Authorizations
Active, unexpired API key belonging to an active organization. Optional organization/key signing and organization IP restrictions also apply; see API Access.
Headers
Required together with x-cw-signature when signing is enabled for this key or organization. POST /security/verify also requires signing whenever a usable secret exists. Canonical Unix seconds, within ±300 seconds. See API Access for CW1 signing.
^(0|[1-9][0-9]*)$CW1 HMAC-SHA256 signature: v1= followed by 64 lowercase hex digits. Use the decoded 32-byte signing secret and exact request bytes. See API Access.
^v1=[0-9a-f]{64}$Body
Array of debtor information to add
1Full name of the debtor
Total amount of unpaid debt
Date when the debt became delinquent
Contact phone number of the debtor
Email address of the debtor
Name of the product or service delivered to the debtor
Name of the creditor
Callback phone number
Email address of the creditor
Account number associated with the debt
Street address of the debtor
City of the debtor
State of the debtor
ZIP code of the debtor
County of the debtor
Social Security Number of the debtor
Date of the last payment made by the debtor
Date when the debt was charged off, if applicable
Amount of interest due on the debt
Amount of principal due on the debt
Other fees associated with the debt
Total amount paid by the debtor so far
Link where the debtor can pay their balance, included in outreach. Accepts a full URL or a domain (e.g., https://example.com/pay or www.example.com).
Custom workflow identifier for the debtor
Name of the agent to attribute workflow enrollment to
Custom instructions for AI collection workflow (e.g., tone, channel preferences, frequency). If not provided, the system will generate an optimal collection flow.
